js_destroy_force(3)

NAME
js_destroy_force - forcibly destroy a js_string object

SYNOPSIS
#include JsStr.h

int js_destroy_force(js_string *object);

DESCRIPTION
js_destroy forcibly destroys an existing js_string object, freeing any memory the js_string object allocated.

ARGUMENTS
object is a pointer to the js_string object you wish to forcibly destroy.

RETURN VALUE
js_destroy returns JS_SUCCESS if it was able to destroy the js_string object in question. If not, the behavior of this function is undefined, usually causing a segmentation fault. The most common reason for not being able to destory an object is because the object is not a legitimate js_string object.

EXAMPLE
The following example creates then forcibly destroys a js_string object.

	js_string *foo;
	foo = js_create(256,1);
	js_destroy_force(foo);

BUGS
This function will usually cause a segmentation fault if the object in question is not a legitimate js_string object.

AUTHOR
Sam Trenholme <kiwi-zttfryb@koala.samiam.org>